import $http from "@/utils/httpRequest.js";

export const wallet = {
  //钱包管理
  myWallet: (data) => {
    return $http.request({
      url: `/merchant-api/wallet/wallet`,
      method: "post",
      data,
    });
  },
  //钱包明细
  Withdrawal: (data) => {
    return $http.request({
      url: `/merchant-api/walletDrawCashOrder/apply`,
      method: "post",
      data,
    });
  },
  //钱包提现订单
  WithdrawalRecord: (data) => {
    return $http.request({
      url: `/merchant-api/walletDrawCashOrder/page`,
      method: "get",
      params: data,
    });
  },
  //钱包账单收支金额
  totalAmount: (data) => {
    return $http.request({
      url: `/merchant-api/walletBill/totalAmount`,
      method: "post",
      data: data,
    });
  },
  //钱包账单
  getBankInfo: (data) => {
    return $http.request({
      url: `/merchant-api/walletBill/page`,
      method: "get",
      params: data,
    });
  },
};
